import { test, expect, Page } from '@playwright/test';
import { strictEqual } from 'assert';
import { escape } from 'querystring';

let page: Page;

test.beforeAll(async ({ browser }) => {
  page = await browser.newPage();
});

test.afterAll(async () => {
  if (page !== undefined) {
    await page.close();
  }
});

test('Login', async () => {
  // Login
  await page.goto('http://192.168.1.90:20001/');
  await expect(page).toHaveTitle(/^Sign in to /);
  await page.fill("input[name='username']", 'admin');
  await page.fill("input[name='password']", '1234');
  await page.click('id=kc-login');
  await page.waitForTimeout(2000);
  //   await page.click('id=acceptBtn');
});

test('Select Dropdown Employer Type Off', async () => {
  await page.click('id=menu-icon-customer-management');
  await page.click('id=select-field');
  await page.click('id=select-field_0');
  await page.waitForTimeout(2000);
  await page.click('id=select-field_1');
  await page.waitForTimeout(2000);
  await page.click('id=select-field_2');
  await page.waitForTimeout(2000);
  await page.click('id=select-field_3');
  await page.waitForTimeout(2000);
  await page.click('id=select-field_4');
  await page.waitForTimeout(2000);
  await page.keyboard.press('Escape');
  await page.waitForTimeout(2000);
});

test('Select Dropdown Employer Type on', async () => {
  await page.click('id=select-field');
  await page.click('id=select-field_0');
  await page.waitForTimeout(2000);
  await page.click('id=select-field_1');
  await page.waitForTimeout(2000);
  await page.click('id=select-field_2');
  await page.waitForTimeout(2000);
  await page.click('id=select-field_3');
  await page.waitForTimeout(2000);
  await page.click('id=select-field_4');
  await page.waitForTimeout(2000);
});
